Subject: Re: [PATCH 0/6] rtlwifi: convert rtl8192{ce,cu,de} to use generic functions

From: Pkshih <[email-masked]>
Date: Thu, 12 Dec 2019 01:47:21 +0000

On Wed, 2019-12-11 at 16:47 +0100, Michael Straube wrote:
> This series converts the drivers rtl8192{ce,cu,de} to use the generic
> functions rtl_query_rxpwrpercentage and rtl_signal_scale_mapping.
> 
> Michael Straube (6):
>   rtlwifi: rtl8192ce: use generic rtl_query_rxpwrpercentage
>   rtlwifi: rtl8192cu: use generic rtl_query_rxpwrpercentage
>   rtlwifi: rtl8192de: use generic rtl_query_rxpwrpercentage
>   rtlwifi: rtl8192ce: use generic rtl_signal_scale_mapping
>   rtlwifi: rtl8192cu: use generic rtl_signal_scale_mapping
>   rtlwifi: rtl8192de: use generic rtl_signal_scale_mapping
> 
>  .../wireless/realtek/rtlwifi/rtl8192ce/trx.c  | 48 ++----------------
>  .../wireless/realtek/rtlwifi/rtl8192cu/mac.c  | 49 ++-----------------
>  .../wireless/realtek/rtlwifi/rtl8192de/trx.c  | 47 ++----------------
>  3 files changed, 14 insertions(+), 130 deletions(-)
> 

For all patches:
Acked-by: Ping-Ke Shih <[email-masked]>

Curiously. How can you find these function are identical?